package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MobileBannerInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MobileBannerInfoDAO {
	int insert(MobileBannerInfo entity);
	int update(MobileBannerInfo entity);
	int exist(String id);
	MobileBannerInfo get(String id);
	int delete(String id);
	List<MobileBannerInfo> list();
	List<MobileBannerInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<MobileBannerInfo> getBannerInfo(String type);
}